{
	"name": "form/nc/nc-document/query/4d/query_init.json",
	"info": "code uses this: form/nc/nc-document/document-type-permission.json",
	"rec": "form/nc/nc-document/rec.json",
	"grid": [
		{
			"name": "document",
			"column": "form/nc/nc-document/column/document_column.json",
			"query": "form/nc/nc-document/query/4d/document_query_link1.json"
		}
	],
	"data_query": [
		{
			"tag": "product",
			"query": "form/nc/nc-document/query/4d/document_query_product_id.json"
		},
		{
			"tag": "product-work",
			"query": "form/nc/nc-document/query/4d/document_query_work_id.json"
		},
		{
			"run": [
				{
					"parameter": ["data.product.data", "pr.record_id", "pr_"],
					"function": "documentLink1",
					"result": "parameter.link1"
				},
				{
					"parameter": ["data.product-work.data", "pr.record_id", "w_"],
					"function": "documentLink1",
					"result": "parameter.link1",
					"append_result": ", "
				}
			]
		}
	],
	"data_query-": [
		{
			"tag": "sales_order_row_qry",
			"query": "form/nc/nc-document/query/4d/document_query_sales_order_row.json"
		},
		{
			"run": [
				{
					"parameter": ["arrayFirstKey", "data.sales_order_row_qry.data", "pr.product_id", ""],
					"function": "reduce",
					"result": "parameter.product2"
				}
			]
		},
		{
			"run": [
				{
					"if": ["parameter.product2", "<>", ""],
					"then": [["parameter.product", "=", "parameter.product2"]]
				}
			]
		},
		{
			"run": [
				{
					"parameter": ["data.sales_order_row_qry.data", "ordr.record_id", "sor_"],
					"function": "documentLink1",
					"result": "parameter.link1"
				}
			]
		},
		{
			"tag": "sales_order_row",
			"column": "form/nc/nc-document/column/document_column.json",
			"query": "form/nc/nc-document/query/4d/document_query_link1.json"
		},
		{
			"run": [
				{
					"parameter": ["data.sales_order_row_qry.data", "ord.record_id", "so_"],
					"function": "documentLink1",
					"result": "parameter.link1"
				}
			]
		},
		{
			"tag": "sales_order",
			"column": "form/nc/nc-document/column/document_column.json",
			"query": "form/nc/nc-document/query/4d/document_query_link1.json"
		},
		{
			"run": [
				{
					"parameter": ["data.sales_order_row_qry.data", "co.record_id", "co_"],
					"function": "documentLink1",
					"result": "parameter.link1"
				}
			]
		},
		{
			"tag": "company_so",
			"column": "form/nc/nc-document/column/document_column.json",
			"query": "form/nc/nc-document/query/4d/document_query_link1.json"
		},
		{
			"tag": "sales_order_qry",
			"query": "form/nc/nc-document/query/4d/document_query_sales_order.json"
		},
		{
			"run": [
				{
					"parameter": ["data.sales_order_qry.data", "ord.record_id", "so_"],
					"function": "documentLink1",
					"result": "parameter.link1"
				}
			]
		},
		{
			"tag": "sales_order2",
			"column": "form/nc/nc-document/column/document_column.json",
			"query": "form/nc/nc-document/query/4d/document_query_link1.json"
		},
		{
			"run": [
				{
					"parameter": ["data.sales_order_qry.data", "co.record_id", "co_"],
					"function": "documentLink1",
					"result": "parameter.link1"
				}
			]
		},
		{
			"tag": "company_so2",
			"column": "form/nc/nc-document/column/document_column.json",
			"query": "form/nc/nc-document/query/4d/document_query_link1.json"
		},
		{
			"tag": "product_name_qry",
			"query": "query/local/product/product/product/product_id.json"
		},
		{
			"run": [
				{
					"parameter": ["data.product_name_qry.data", "co.record_id", "co_"],
					"function": "documentLink1",
					"result": "parameter.link1"
				}
			]
		},
		{
			"tag": "company_pr",
			"column": "form/nc/nc-document/column/document_column.json",
			"query": "form/nc/nc-document/query/4d/document_query_link1.json"
		},
		{
			"run": [
				{
					"parameter": ["data.product_name_qry.data", "pr.record_id", "w_"],
					"function": "documentLink1",
					"result": "parameter.link1"
				}
			]
		},
		{
			"tag": "work_pr",
			"column": "form/nc/nc-document/column/document_column.json",
			"query": "form/nc/nc-document/query/4d/document_query_link1.json"
		},
		{
			"tag": "work_order_qry",
			"query": "form/nc/nc-document/query/4d/document_query_work_order.json"
		},
		{
			"run": [
				{
					"parameter": ["data.work_order_qry.data", "pro.record_id", "wo_"],
					"function": "documentLink1",
					"result": "parameter.link1"
				}
			]
		},
		{
			"tag": "work_order",
			"column": "form/nc/nc-document/column/document_column.json",
			"query": "form/nc/nc-document/query/4d/document_query_link1.json"
		},
		{
			"run": [
				{
					"parameter": ["data.work_order_qry.data", "ord.record_id", "so_"],
					"function": "documentLink1",
					"result": "parameter.link1"
				}
			]
		},
		{
			"tag": "sales_order_wo",
			"column": "form/nc/nc-document/column/document_column.json",
			"query": "form/nc/nc-document/query/4d/document_query_link1.json"
		},
		{
			"run": [
				{
					"parameter": ["data.work_order_qry.data", "co.record_id", "co_"],
					"function": "documentLink1",
					"result": "parameter.link1"
				}
			]
		},
		{
			"tag": "company_wo",
			"column": "form/nc/nc-document/column/document_column.json",
			"query": "form/nc/nc-document/query/4d/document_query_link1.json"
		},
		{
			"tag": "reclamation_wo_qry",
			"query": "form/nc/nc-document/query/4d/document_query_reclamation_wo.json"
		},
		{
			"run": [
				{
					"parameter": ["data.reclamation_wo_qry.data", "rcl.record_id", "rcl_"],
					"function": "documentLink1",
					"result": "parameter.link1"
				}
			]
		},
		{
			"tag": "reclamation_wo",
			"column": "form/nc/nc-document/column/document_column.json",
			"query": "form/nc/nc-document/query/4d/document_query_link1.json"
		},
		{
			"run": [
				{
					"parameter": ["data.product_name_qry.data", "pr.record_id", "pr_"],
					"function": "documentLink1",
					"result": "parameter.link1"
				}
			]
		}
	],
	"data_query_future": [
		{
			"run": [
				{
					"parameter": ["data.work_order_so.data", "ord.record_id", "so_"],
					"function": "documentLink1",
					"result": "parameter.link1"
				}
			]
		},
		{
			"tag": "work_order_so_wo",
			"column": "form/nc/nc-document/column/document_column.json",
			"query": "form/nc/nc-document/query/4d/document_query_link1.json"
		},
		{
			"run": [
				{
					"parameter": ["data.work_order_so.data", "co.record_id", "co_"],
					"function": "documentLink1",
					"result": "parameter.link1"
				}
			]
		},
		{
			"tag": "work_order_so_wo",
			"column": "form/nc/nc-document/column/document_column.json",
			"query": "form/nc/nc-document/query/4d/document_query_link1.json"
		},
		{
			"run": [
				{
					"parameter": ["'sor_", "parameter.sales_order_row", "'"],
					"function": "concat",
					"result": "parameter.link1"
				}
			]
		},
		{
			"tag": "reclamation_wo",
			"column": "form/nc/nc-document/column/document_column.json",
			"query": "form/nc/nc-document/query/4d/document_query_link1.json"
		},
		{
			"tag": "reclamation_so",
			"query": "form/nc/nc-document/query/4d/document_query_reclamation_so.json"
		},
		{
			"run": [
				{
					"parameter": ["data.reclamation_so.data", "rcl.record_id", "rcl_"],
					"function": "documentLink1",
					"result": "parameter.link1"
				}
			]
		},
		{
			"tag": "reclamation_so",
			"column": "form/nc/nc-document/column/document_column.json",
			"query": "form/nc/nc-document/query/4d/document_query_link1.json"
		},
		{
			"tag": "work_order_so",
			"query": "form/nc/nc-document/query/4d/document_query_work_order_so.json"
		},
		{
			"run": [
				{
					"parameter": ["data.work_order_so.data", "pro.record_id", "wo_"],
					"function": "documentLink1",
					"result": "parameter.link1"
				}
			]
		},
		{
			"tag": "work_order_so",
			"column": "form/nc/nc-document/column/document_column.json",
			"query": "form/nc/nc-document/query/4d/document_query_link1.json"
		},
		{
			"run": [
				{
					"parameter": ["data.work_order_so.data", "pr.record_id", "w_"],
					"function": "documentLink1",
					"result": "parameter.link1"
				}
			]
		},
		{
			"tag": "work_so",
			"column": "form/nc/nc-document/column/document_column.json",
			"query": "form/nc/nc-document/query/4d/document_query_link1.json"
		},
		{
			"run": [
				{
					"parameter": ["data.work_order_qry.data", "pr.record_id", "w_"],
					"function": "documentLink1",
					"result": "parameter.link1"
				}
			]
		},
		{
			"tag": "work_wo",
			"column": "form/nc/nc-document/column/document_column.json",
			"query": "form/nc/nc-document/query/4d/document_query_link1.json"
		}
	]
}
